## release.zip

=== lsconsul/Makefile ===
all::

.PHONY: deb
deb:
	rm -rf ./deb/usr/bin/lsconsul
	mkdir -p ./deb/usr/bin
	cp ./libexec/lsconsul ./deb/usr/bin/

	test -f ./deb/usr/bin/lsconsul
	dpkg-deb -Z gzip -b ./deb .

=== courier/fpm_scripts/DESCRIPTION ===
Fetches and installs twitch-written applications

=== ghe-backup-encrypted-s3/github-backup-utils-v3.0.0/Makefile ===
SHELL = /bin/sh

test: info
	@script/cibuild --no-package

info:
	@echo This is github/backup-utils
	@echo shell is $(shell ls -l $(SHELL) | sed 's@.*/bin/sh@/bin/sh@')
	@rsync --version | head -1
	@echo

dist:
	@script/package-tarball

deb:
	@script/package-deb

clean:
	rm -rf dist

# List pull requests that need to be merged into stable
# (helpful for the release notes)
pending-prs:
	@git log stable...master | grep "Merge pull request"

.PHONY: test info dist clean pending-prs

=== trace/pgparse/Makefile ===
# Copyright 2012, Google Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can
# be found in the LICENSE file.

MAKEFLAGS = -s

sql.go: sql.y
	go tool yacc -o sql.go sql.y
	gofmt -w sql.go

clean:
	rm -f y.output sql.go

=== courier/vendor/code.justin.tv/common/solidsqs/Makefile ===
.PHONY: all build test doc install clean

all: build

build:
	@golint .
	@go build

test:
	@go test -v

doc:
	@godoc -ex . > solidsqs_api.txt

install:
	@go install

clean:
	@go clean

=== courier/vendor/code.justin.tv/dta/rtevent/Makefile ===
.PHONY: all build test doc install clean

all: build

build:
	@golint .
	@go build

test:
	@go test -v

install:
	@go install

clean:
	@go clean

=== courierd/vendor/github.com/PagerDuty/go-pagerduty/Makefile ===
SOURCEDIR=.
SOURCES = $(shell find $(SOURCEDIR) -name '*.go')
VERSION=$(git describe --always --tags)
BINARY=bin/pd

bin: $(BINARY)

$(BINARY): $(SOURCES)
	go build -o $(BINARY) command/*

.PHONY: build
build:
	go get ./...
	go test ./...
	go vet ./...

.PHONY: test
test:
	go test ./...

=== trace/vendor/github.com/twitchtv/twirp/requirements.txt ===
certifi==2017.4.17
chardet==3.0.4
idna==2.5
protobuf==3.5.1
requests==2.17.3
six==1.10.0
urllib3==1.21.1

=== consul-manta/Godeps/_workspace/src/github.com/fsouza/go-dockerclient/Makefile ===
.PHONY: \
	all \
	vendor \
	lint \
	vet \
	fmt \
	fmtcheck \
	pretest \
	test \
	integration \
	cov \
	clean

SRCS = $(shell git ls-files '*.go' | grep -v '^external/')
PKGS = ./. ./testing

all: test

vendor:
	@ go get -v github.com/mjibson/party
	party -d external -c -u

lint:
	@ go get -v github.com/golang/lint/golint
	$(foreach file,$(SRCS),golint $(file) || exit;)

vet:
	@-go get -v golang.org/x/tools/cmd/vet
	$(foreach pkg,$(PKGS),go vet $(pkg);)

fmt:
	gofmt -w $(SRCS)

fmtcheck:
	$(foreach file,$(SRCS),gofmt -d $(file);)

pretest: lint vet fmtcheck

test: pretest
	$(foreach pkg,$(PKGS),go test $(pkg) || exit;)

integration:
	go test -tags docker_integration -run TestIntegration -v

cov:
	@ go get -v github.com/axw/gocov/gocov
	@ go get golang.org/x/tools/cmd/cover
	gocov test | gocov report

clean:
	$(foreach pkg,$(PKGS),go clean $(pkg) || exit;)

=== consul-manta/Godeps/_workspace/src/github.com/hashicorp/consul/Makefile ===
GOTOOLS = github.com/mitchellh/gox golang.org/x/tools/cmd/stringer \
	github.com/jteeuwen/go-bindata/... github.com/elazarl/go-bindata-assetfs/...
DEPS = $(shell go list -f '{{range .TestImports}}{{.}} {{end}}' ./...)
PACKAGES = $(shell go list ./...)
VETARGS?=-asmdecl -atomic -bool -buildtags -copylocks -methods \
         -nilfunc -printf -rangeloops -shift -structtags -unsafeptr
VERSION?=$(shell awk -F\" '/^const Version/ { print $$2; exit }' version.go)

all: deps format
	@mkdir -p bin/
	@bash --norc -i ./scripts/build.sh

# bin generates the releasable binaries
bin: generate
	@sh -c "'$(CURDIR)/scripts/build.sh'"

# dev creates binaries for testing locally - these are put into ./bin and $GOPATH
dev: generate
	@CONSUL_DEV=1 sh -c "'$(CURDIR)/scripts/build.sh'"

# dist creates the binaries for distibution
dist: bin
	@sh -c "'$(CURDIR)/scripts/dist.sh' $(VERSION)"

cov:
	gocov test ./... | gocov-html > /tmp/coverage.html
	open /tmp/coverage.html

deps:
	@echo "--> Installing build dependencies"
	@go get -v $(GOTOOLS)
	@go get -d -v ./... $(DEPS)

updatedeps: deps
	go get -u -v $(GOTOOLS)
	go list ./... \
		| xargs go list -f '{{join .Deps "\n"}}' \
		| grep -v github.com/hashicorp/consul \
		| grep -v '/internal/' \
		| sort -u \
		| xargs go get -f -u -v

test: deps
	@$(MAKE) vet
	@./scripts/verify_no_uuid.sh
	@./scripts/test.sh

cover: deps
	./scripts/verify_no_uuid.sh
	go list ./... | xargs -n1 go test --cover

format: deps
	@echo "--> Running go fmt"
	@go fmt $(PACKAGES)

vet:
	@go tool vet 2>/dev/null ; if [ $$? -eq 3 ]; then \
		go get golang.org/x/tools/cmd/vet; \
	fi
	@echo "--> Running go tool vet $(VETARGS) ."
	@go tool vet $(VETARGS) . ; if [ $$? -eq 1 ]; then \
		echo ""; \
		echo "Vet found suspicious constructs. Please check the reported constructs"; \
		echo "and fix them if necessary before submitting the code for reviewal."; \
	fi

# generate runs `go generate` to build the dynamically generated source files
generate: deps
	find . -type f -name '.DS_Store' -delete
	go generate ./...

# generates the static web ui
static-assets: deps
	@echo "--> Generating static assets"
	@go-bindata-assetfs -pkg agent -prefix ui ./ui/dist/...
	@mv bindata_assetfs.go command/agent
	$(MAKE) format

web:
	./scripts/website_run.sh

web-push:
	./scripts/website_push.sh

.PHONY: all bin dev dist cov deps test vet web web-push generate test-nodep static-assets

=== consul-template-manta/Godeps/_workspace/src/github.com/hashicorp/consul-template/Makefile ===
TEST?=./...
NAME = $(shell awk -F\" '/^const Name/ { print $$2 }' main.go)
VERSION = $(shell awk -F\" '/^const Version/ { print $$2 }' main.go)
DEPS = $(shell go list -f '{{range .TestImports}}{{.}} {{end}}' ./...)

all: deps build

deps:
	go get -d -v ./...
	echo $(DEPS) | xargs -n1 go get -d

updatedeps:
	go get -u -v ./...
	echo $(DEPS) | xargs -n1 go get -d

build: deps
	@mkdir -p bin/
	go build -o bin/$(NAME)

test:
	go test $(TEST) $(TESTARGS) -timeout=30s -parallel=4
	go test $(TEST) -race
	go vet $(TEST)

xcompile: build test
	@rm -rf build/
	@mkdir -p build
	gox \
		-os="darwin" \
		-os="dragonfly" \
		-os="freebsd" \
		-os="linux" \
		-os="netbsd" \
		-os="openbsd" \
		-os="solaris" \
		-os="windows" \
		-output="build/{{.Dir}}_$(VERSION)_{{.OS}}_{{.Arch}}/$(NAME)"

package: xcompile
	$(eval FILES := $(shell ls build))
	@mkdir -p build/tgz
	for f in $(FILES); do \
		(cd $(shell pwd)/build && tar -zcvf tgz/$$f.tar.gz $$f); \
		echo $$f; \
	done

.PHONY: all deps updatedeps build test xcompile package

=== ghe-backup-encrypted-s3/github-backup-utils-v3.0.0/debian/changelog ===
github-backup-utils (3.0.0) UNRELEASED; urgency=medium

  * Fix restoring the password pepper for already configured instances #683

 -- Michael Dang <dangmh@github.com>  Tue, 16 Feb 2021 22:32:25 +0000

github-backup-utils (3.0.0.rc1) UNRELEASED; urgency=medium

  * Cleanup nomad container when restore for 2.22 #670
  * Use ghe-cluster-nomad-cleanup for cluster mode #663
  * Only run ghe-nomad-cleanup in 3.0 #662
  * Revert backup-utils gitHub env and a few more fixes #661
  * Note how to test filesystem symlink / hardlink support #660
  * stop github-timerd based on its running environment #659
  * Backup and restore password pepper #656
  * github-env -> github-env-dispatch #654
  * Rename redis-cli to ghe-redis-cli #639

 -- Michael Dang <dangmh@github.com>  Thu, 14 Jan 2021 21:17:53 +0000

github-backup-utils (2.22.0) UNRELEASED; urgency=medium

  * Added basic timing around the ghe-restore process #625
  * Improve python3 & finding moreutils parallel  #627
  * Turn off POSIX for ghe-backup-config #632
  * Add parallelized restore capability to ghe-restore-storage #635
  * Update backup-utils for new features in 2.22 #641

 -- jianghao0718@github.com  Wed, 23 Sep 2020 15:48:54 +0000

github-backup-utils (2.21.0) UNRELEASED; urgency=medium

  * Introduce option to skip restoring of audit logs #596
  * Beta: Execute ghe-backup tasks in parallel #597
  * Beta: Execute ghe-restore tasks in parallel #601
  * Run repositories restore in parallel #603
  * Fix mismatched `bm_start` and `bm_end` commands #607
  * remove rsync restore method used by GHES versions prior to 2.13 #608
  * Output MySQL backup strategy for clarity during backup and restore #610

 -- Hao Jiang <jianghao0718@github.com>  Tue, 09 Jun 2020 17:59:06 +0000

github-backup-utils (2.19.5) UNRELEASED; urgency=medium

  * In legacy mode we should use ghe-import-mysql #581

 -- Caine Jette <cainejette@github.com>  Fri, 21 Feb 2020 19:13:17 +0000

github-backup-utils (2.20.2) UNRELEASED; urgency=medium

  * In legacy mode we should use ghe-import-mysql #581

 -- Hao Jiang <jianghao0718@github.com>  Thu, 20 Feb 2020 22:47:09 +0000

github-backup-utils (2.20.1) UNRELEASED; urgency=medium

  * Fixes gist route calculation for GHES version 2.20

 -- Caine Jette <cainejette@github.com>  Wed, 19 Feb 2020 21:47:18 +0000

github-backup-utils (2.19.4) UNRELEASED; urgency=medium

  * Fix the way we connect to mysql master using ssh forwarding for binary backups #567

 -- Hao Jiang <jianghao0718@github.com>  Tue, 18 Feb 2020 17:54:31 +0000

github-backup-utils (2.20.0) UNRELEASED; urgency=medium

  * Fix `ghe-backup-repositories` performance for large instances #541
  * Fix two issues with binary backup (slow gzip compression and support for restore from instances other than SQL master) #551

 -- Alejandro Figueroa <thejandroman@github.com>  Tue, 11 Feb 2020 20:47:17 +0000

github-backup-utils (2.19.3) UNRELEASED; urgency=medium

  * Fix two issues with binary backup (slow gzip compression and support for restore from instances other than SQL master) #551

 -- Hao Jiang <jianghao0718@github.com>  Tue, 11 Feb 2020 19:31:55 +0000

github-backup-utils (2.19.2) UNRELEASED; urgency=medium

  * Fix `ghe-backup-repositories` performance for large instances #541

 -- Evgenii Khramkov <ewgenius@github.com>  Fri, 31 Jan 2020 19:13:46 +0000

github-backup-utils (2.19.1) UNRELEASED; urgency=medium

  * Cater for more explicit gist paths used in routes file #524
  * Suppress "*.rsync': No such file or directory" errors when no data to backup or restore #525

 -- Colin Seymour <colin@github.com>  Wed, 11 Dec 2019 09:33:01 +0000

github-backup-utils (2.19.0) UNRELEASED; urgency=medium

  * Remove temporary exclude file from the backup host not the target GHES appliance #516
  * Update Debian package depends to include git #520

 -- Colin Seymour <colin@github.com>  Tue, 12 Nov 2019 18:57:12 +0000

github-backup-utils (2.18.0) UNRELEASED; urgency=medium

  * Replace "sed -E" in ghe-host-check with a more portable solution #509

 -- Colin Seymour <colin@github.com>  Tue, 20 Aug 2019 18:49:44 +0000

github-backup-utils (2.17.1) UNRELEASED; urgency=medium

  * Redirect ghe-export-audit-logs stderr output unless using verbose output #497

 -- Colin Seymour <colin@github.com>  Wed, 05 Jun 2019 08:43:25 +0000

github-backup-utils (2.17.0) UNRELEASED; urgency=medium

  * Restore target is ignored when specified on the command line #476
  * Support incremental backups for MySQL-stored audit logs #485

 -- Colin Seymour <colin@github.com>  Thu, 23 May 2019 08:20:15 +0000

github-backup-utils (2.16.1) UNRELEASED; urgency=medium

  * Detect storage user on each cluster host being backed up or restored #472

 -- Colin Seymour <colin@github.com>  Tue, 26 Feb 2019 16:37:04 +0000

github-backup-utils (2.16.0) UNRELEASED; urgency=medium


 -- Colin Seymour <colin@github.com>  Tue, 22 Jan 2019 20:25:34 +0000

github-backup-utils (2.15.1) UNRELEASED; urgency=medium

  * Restoring to an un-configured appliance fails due to a missing license file #449

 -- Colin Seymour <colin@github.com>  Tue, 13 Nov 2018 17:34:21 +0000

github-backup-utils (2.15.0) UNRELEASED; urgency=medium


 -- Colin Seymour <colin@github.com>  Tue, 16 Oct 2018 16:40:03 +0000

github-backup-utils (2.14.3) UNRELEASED; urgency=medium

  * Improve multi-platform detection of simultaneous ghe-backup runs #435

 -- Colin Seymour <colin@github.com>  Tue, 11 Sep 2018 17:03:42 +0000

github-backup-utils (2.14.2) UNRELEASED; urgency=medium

  * Capture and display repository/gist warnings during cluster restore #423
  * Use remote tempdir when finalizing Pages routes #424
  * Use old rsync restore method for pages prior to 2.13 #426

 -- Colin Seymour <colin@github.com>  Tue, 21 Aug 2018 13:57:20 +0000

github-backup-utils (2.14.1) UNRELEASED; urgency=medium

  * Don't fail a backup if the Management Console password isn't set #416


=== ghe-backup-encrypted-s3/github-backup-utils-v3.0.0/debian/control ===
Source: github-backup-utils
Maintainer: Twan Wolthof <xeago@spotify.com>
Section: misc
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), git, devscripts, moreutils, jq, rsync (>= 2.6.4)

Package: github-backup-utils
Architecture: any
Depends: ${misc:Depends}, rsync (>= 2.6.4), moreutils, jq, git
Description: Backup and recovery utilities for GitHub Enterprise Server
 The backup utilities implement a number of advanced capabilities for backup
 hosts, built on top of the backup and restore features already included in
 GitHub Enterprise Server.
 .
 These advanced features include:
 .
 Complete GitHub Enterprise Server backup and recovery system via two simple
 utilities:
 `ghe-backup` and `ghe-restore`.
 Online backups. The GitHub appliance need not be put in maintenance mode for
 the duration of the backup run.
 Incremental backup of Git repository data. Only changes since the last
 snapshot are transferred, leading to faster backup runs and lower network
 bandwidth and machine utilization.
 Efficient snapshot storage. Only data added since the previous snapshot
 consumes new space on the backup host.
 Multiple backup snapshots with configurable retention periods.
 Backup commands run under the lowest CPU/IO priority on the GitHub appliance,
 reducing performance impact while backups are in progress.
 Runs under most Linux/Unix environments.
 MIT licensed, open source software maintained by GitHub, Inc.

=== ghe-backup-encrypted-s3/github-backup-utils-v3.0.0/debian/rules ===
#!/usr/bin/make -f
build-indep:

override_dh_auto_build:

%:
	dh $@
